io.vertx.rxjava.ext.mongo

## Class MongoClient

- java.lang.Object
- - io.vertx.rxjava.ext.mongo.MongoClient

-     public class MongoClient
      extends Object

  A Vert.x service used to interact with MongoDB server instances.

  Some of the operations might change _id field of passed document.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<MongoClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoClient(MongoClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MongoClient` | `bulkWrite(String collection, List<BulkOperation> operations, Handler<AsyncResult<MongoClientBulkWriteResult>> resultHandler)` Execute a bulk operation.
    `rx.Observable<MongoClientBulkWriteResult>` | `bulkWriteObservable(String collection, List<BulkOperation> operations)` Deprecated. use `rxBulkWrite(java.lang.String, java.util.List<io.vertx.ext.mongo.BulkOperation>)` instead
    `MongoClient` | `bulkWriteWithOptions(String collection, List<BulkOperation> operations, BulkWriteOptions bulkWriteOptions, Handler<AsyncResult<MongoClientBulkWriteResult>> resultHandler)` Execute a bulk operation with the specified write options.
    `rx.Observable<MongoClientBulkWriteResult>` | `bulkWriteWithOptionsObservable(String collection, List<BulkOperation> operations, BulkWriteOptions bulkWriteOptions)` Deprecated. use `rxBulkWriteWithOptions(java.lang.String, java.util.List<io.vertx.ext.mongo.BulkOperation>, io.vertx.ext.mongo.BulkWriteOptions)` instead
    `void` | `close()` Close the client and release its resources
    `MongoClient` | `count(String collection, JsonObject query, Handler<AsyncResult<Long>> resultHandler)` Count matching documents in a collection.
    `rx.Observable<Long>` | `countObservable(String collection, JsonObject query)` Deprecated. use `rxCount(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `createCollection(String collectionName, Handler<AsyncResult<Void>> resultHandler)` Create a new collection
    `rx.Observable<Void>` | `createCollectionObservable(String collectionName)` Deprecated. use `rxCreateCollection(java.lang.String)` instead
    `MongoClient` | `createIndex(String collection, JsonObject key, Handler<AsyncResult<Void>> resultHandler)` Creates an index.
    `rx.Observable<Void>` | `createIndexObservable(String collection, JsonObject key)` Deprecated. use `rxCreateIndex(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `createIndexWithOptions(String collection, JsonObject key, IndexOptions options, Handler<AsyncResult<Void>> resultHandler)` Creates an index.
    `rx.Observable<Void>` | `createIndexWithOptionsObservable(String collection, JsonObject key, IndexOptions options)` Deprecated. use `rxCreateIndexWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.IndexOptions)` instead
    `static MongoClient` | `createNonShared(Vertx vertx, JsonObject config)` Create a Mongo client which maintains its own data source.
    `static MongoClient` | `createShared(Vertx vertx, JsonObject config)` Like `createShared(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject, java.lang.String)` but with the default data source name
    `static MongoClient` | `createShared(Vertx vertx, JsonObject config, String dataSourceName)` Create a Mongo client which shares its data source with any other Mongo clients created with the same data source name
    `MongoClient` | `distinct(String collection, String fieldName, String resultClassname, Handler<AsyncResult<JsonArray>> resultHandler)` Gets the distinct values of the specified field name.
    `MongoClient` | `distinctBatch(String collection, String fieldName, String resultClassname, Handler<AsyncResult<JsonObject>> resultHandler)` Gets the distinct values of the specified field name.
    `rx.Observable<JsonObject>` | `distinctBatchObservable(String collection, String fieldName, String resultClassname)` Deprecated. use `rxDistinctBatch(java.lang.String, java.lang.String, java.lang.String)` instead
    `rx.Observable<JsonArray>` | `distinctObservable(String collection, String fieldName, String resultClassname)` Deprecated. use `rxDistinct(java.lang.String, java.lang.String, java.lang.String)` instead
    `MongoClient` | `dropCollection(String collection, Handler<AsyncResult<Void>> resultHandler)` Drop a collection
    `rx.Observable<Void>` | `dropCollectionObservable(String collection)` Deprecated. use `rxDropCollection(java.lang.String)` instead
    `MongoClient` | `dropIndex(String collection, String indexName, Handler<AsyncResult<Void>> resultHandler)` Drops the index given its name.
    `rx.Observable<Void>` | `dropIndexObservable(String collection, String indexName)` Deprecated. use `rxDropIndex(java.lang.String, java.lang.String)` instead
    `MongoClient` | `find(String collection, JsonObject query, Handler<AsyncResult<List<JsonObject>>> resultHandler)` Find matching documents in the specified collection
    `MongoClient` | `findBatch(String collection, JsonObject query, Handler<AsyncResult<JsonObject>> resultHandler)` Find matching documents in the specified collection.
    `rx.Observable<JsonObject>` | `findBatchObservable(String collection, JsonObject query)` Deprecated. use `rxFindBatch(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `findBatchWithOptions(String collection, JsonObject query, FindOptions options, Handler<AsyncResult<JsonObject>> resultHandler)` Find matching documents in the specified collection, specifying options.
    `rx.Observable<JsonObject>` | `findBatchWithOptionsObservable(String collection, JsonObject query, FindOptions options)` Deprecated. use `rxFindBatchWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.FindOptions)` instead
    `rx.Observable<List<JsonObject>>` | `findObservable(String collection, JsonObject query)` Deprecated. use `rxFind(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `findOne(String collection, JsonObject query, JsonObject fields, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection
    `MongoClient` | `findOneAndDelete(String collection, JsonObject query, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection and delete it.
    `rx.Observable<JsonObject>` | `findOneAndDeleteObservable(String collection, JsonObject query)` Deprecated. use `rxFindOneAndDelete(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `findOneAndDeleteWithOptions(String collection, JsonObject query, FindOptions findOptions, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection and delete it.
    `rx.Observable<JsonObject>` | `findOneAndDeleteWithOptionsObservable(String collection, JsonObject query, FindOptions findOptions)` Deprecated. use `rxFindOneAndDeleteWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.FindOptions)` instead
    `MongoClient` | `findOneAndReplace(String collection, JsonObject query, JsonObject replace, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection and replace it.
    `rx.Observable<JsonObject>` | `findOneAndReplaceObservable(String collection, JsonObject query, JsonObject replace)` Deprecated. use `rxFindOneAndReplace(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `findOneAndReplaceWithOptions(String collection, JsonObject query, JsonObject replace, FindOptions findOptions, UpdateOptions updateOptions, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection and replace it.
    `rx.Observable<JsonObject>` | `findOneAndReplaceWithOptionsObservable(String collection, JsonObject query, JsonObject replace, FindOptions findOptions, UpdateOptions updateOptions)` Deprecated. use `rxFindOneAndReplaceWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.FindOptions, io.vertx.ext.mongo.UpdateOptions)` instead
    `MongoClient` | `findOneAndUpdate(String collection, JsonObject query, JsonObject update, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection and update it.
    `rx.Observable<JsonObject>` | `findOneAndUpdateObservable(String collection, JsonObject query, JsonObject update)` Deprecated. use `rxFindOneAndUpdate(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `findOneAndUpdateWithOptions(String collection, JsonObject query, JsonObject update, FindOptions findOptions, UpdateOptions updateOptions, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection and update it.
    `rx.Observable<JsonObject>` | `findOneAndUpdateWithOptionsObservable(String collection, JsonObject query, JsonObject update, FindOptions findOptions, UpdateOptions updateOptions)` Deprecated. use `rxFindOneAndUpdateWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.FindOptions, io.vertx.ext.mongo.UpdateOptions)` instead
    `rx.Observable<JsonObject>` | `findOneObservable(String collection, JsonObject query, JsonObject fields)` Deprecated. use `rxFindOne(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `findWithOptions(String collection, JsonObject query, FindOptions options, Handler<AsyncResult<List<JsonObject>>> resultHandler)` Find matching documents in the specified collection, specifying options
    `rx.Observable<List<JsonObject>>` | `findWithOptionsObservable(String collection, JsonObject query, FindOptions options)` Deprecated. use `rxFindWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.FindOptions)` instead
    `MongoClient` | `getCollections(Handler<AsyncResult<List<String>>> resultHandler)` Get a list of all collections in the database.
    `rx.Observable<List<String>>` | `getCollectionsObservable()` Deprecated. use `rxGetCollections()` instead
    `MongoClient` | `getDelegate()`
    `MongoClient` | `insert(String collection, JsonObject document, Handler<AsyncResult<String>> resultHandler)` Insert a document in the specified collection
    `rx.Observable<String>` | `insertObservable(String collection, JsonObject document)` Deprecated. use `rxInsert(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `insertWithOptions(String collection, JsonObject document, WriteOption writeOption, Handler<AsyncResult<String>> resultHandler)` Insert a document in the specified collection with the specified write option
    `rx.Observable<String>` | `insertWithOptionsObservable(String collection, JsonObject document, WriteOption writeOption)` Deprecated. use `rxInsertWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.WriteOption)` instead
    `MongoClient` | `listIndexes(String collection, Handler<AsyncResult<JsonArray>> resultHandler)` Get all the indexes in this collection.
    `rx.Observable<JsonArray>` | `listIndexesObservable(String collection)` Deprecated. use `rxListIndexes(java.lang.String)` instead
    `static MongoClient` | `newInstance(MongoClient arg)`
    `MongoClient` | `remove(String collection, JsonObject query, Handler<AsyncResult<Void>> resultHandler)` Remove matching documents from a collection
    `MongoClient` | `removeDocument(String collection, JsonObject query, Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)` Remove a single matching document from a collection and return the handler with MongoClientDeleteResult result
    `rx.Observable<MongoClientDeleteResult>` | `removeDocumentObservable(String collection, JsonObject query)` Deprecated. use `rxRemoveDocument(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `removeDocuments(String collection, JsonObject query, Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)` Remove matching documents from a collection and return the handler with MongoClientDeleteResult result
    `rx.Observable<MongoClientDeleteResult>` | `removeDocumentsObservable(String collection, JsonObject query)` Deprecated. use `rxRemoveDocuments(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `removeDocumentsWithOptions(String collection, JsonObject query, WriteOption writeOption, Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)` Remove matching documents from a collection with the specified write option and return the handler with MongoClientDeleteResult result
    `rx.Observable<MongoClientDeleteResult>` | `removeDocumentsWithOptionsObservable(String collection, JsonObject query, WriteOption writeOption)` Deprecated. use `rxRemoveDocumentsWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.WriteOption)` instead
    `MongoClient` | `removeDocumentWithOptions(String collection, JsonObject query, WriteOption writeOption, Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)` Remove a single matching document from a collection with the specified write option and return the handler with MongoClientDeleteResult result
    `rx.Observable<MongoClientDeleteResult>` | `removeDocumentWithOptionsObservable(String collection, JsonObject query, WriteOption writeOption)` Deprecated. use `rxRemoveDocumentWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.WriteOption)` instead
    `rx.Observable<Void>` | `removeObservable(String collection, JsonObject query)` Deprecated. use `rxRemove(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `removeOne(String collection, JsonObject query, Handler<AsyncResult<Void>> resultHandler)` Remove a single matching document from a collection
    `rx.Observable<Void>` | `removeOneObservable(String collection, JsonObject query)` Deprecated. use `rxRemoveOne(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `removeOneWithOptions(String collection, JsonObject query, WriteOption writeOption, Handler<AsyncResult<Void>> resultHandler)` Remove a single matching document from a collection with the specified write option
    `rx.Observable<Void>` | `removeOneWithOptionsObservable(String collection, JsonObject query, WriteOption writeOption)` Deprecated. use `rxRemoveOneWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.WriteOption)` instead
    `MongoClient` | `removeWithOptions(String collection, JsonObject query, WriteOption writeOption, Handler<AsyncResult<Void>> resultHandler)` Remove matching documents from a collection with the specified write option
    `rx.Observable<Void>` | `removeWithOptionsObservable(String collection, JsonObject query, WriteOption writeOption)` Deprecated. use `rxRemoveWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.WriteOption)` instead
    `MongoClient` | `replace(String collection, JsonObject query, JsonObject replace, Handler<AsyncResult<Void>> resultHandler)` Replace matching documents in the specified collection
    `MongoClient` | `replaceDocuments(String collection, JsonObject query, JsonObject replace, Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)` Replace matching documents in the specified collection and return the handler with MongoClientUpdateResult result
    `rx.Observable<MongoClientUpdateResult>` | `replaceDocumentsObservable(String collection, JsonObject query, JsonObject replace)` Deprecated. use `rxReplaceDocuments(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `replaceDocumentsWithOptions(String collection, JsonObject query, JsonObject replace, UpdateOptions options, Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)` Replace matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
    `rx.Observable<MongoClientUpdateResult>` | `replaceDocumentsWithOptionsObservable(String collection, JsonObject query, JsonObject replace, UpdateOptions options)` Deprecated. use `rxReplaceDocumentsWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.UpdateOptions)` instead
    `rx.Observable<Void>` | `replaceObservable(String collection, JsonObject query, JsonObject replace)` Deprecated. use `rxReplace(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `replaceWithOptions(String collection, JsonObject query, JsonObject replace, UpdateOptions options, Handler<AsyncResult<Void>> resultHandler)` Replace matching documents in the specified collection, specifying options
    `rx.Observable<Void>` | `replaceWithOptionsObservable(String collection, JsonObject query, JsonObject replace, UpdateOptions options)` Deprecated. use `rxReplaceWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.UpdateOptions)` instead
    `MongoClient` | `runCommand(String commandName, JsonObject command, Handler<AsyncResult<JsonObject>> resultHandler)` Run an arbitrary MongoDB command.
    `rx.Observable<JsonObject>` | `runCommandObservable(String commandName, JsonObject command)` Deprecated. use `rxRunCommand(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `rx.Single<MongoClientBulkWriteResult>` | `rxBulkWrite(String collection, List<BulkOperation> operations)` Execute a bulk operation.
    `rx.Single<MongoClientBulkWriteResult>` | `rxBulkWriteWithOptions(String collection, List<BulkOperation> operations, BulkWriteOptions bulkWriteOptions)` Execute a bulk operation with the specified write options.
    `rx.Single<Long>` | `rxCount(String collection, JsonObject query)` Count matching documents in a collection.
    `rx.Single<Void>` | `rxCreateCollection(String collectionName)` Create a new collection
    `rx.Single<Void>` | `rxCreateIndex(String collection, JsonObject key)` Creates an index.
    `rx.Single<Void>` | `rxCreateIndexWithOptions(String collection, JsonObject key, IndexOptions options)` Creates an index.
    `rx.Single<JsonArray>` | `rxDistinct(String collection, String fieldName, String resultClassname)` Gets the distinct values of the specified field name.
    `rx.Single<JsonObject>` | `rxDistinctBatch(String collection, String fieldName, String resultClassname)` Gets the distinct values of the specified field name.
    `rx.Single<Void>` | `rxDropCollection(String collection)` Drop a collection
    `rx.Single<Void>` | `rxDropIndex(String collection, String indexName)` Drops the index given its name.
    `rx.Single<List<JsonObject>>` | `rxFind(String collection, JsonObject query)` Find matching documents in the specified collection
    `rx.Single<JsonObject>` | `rxFindBatch(String collection, JsonObject query)` Find matching documents in the specified collection.
    `rx.Single<JsonObject>` | `rxFindBatchWithOptions(String collection, JsonObject query, FindOptions options)` Find matching documents in the specified collection, specifying options.
    `rx.Single<JsonObject>` | `rxFindOne(String collection, JsonObject query, JsonObject fields)` Find a single matching document in the specified collection
    `rx.Single<JsonObject>` | `rxFindOneAndDelete(String collection, JsonObject query)` Find a single matching document in the specified collection and delete it.
    `rx.Single<JsonObject>` | `rxFindOneAndDeleteWithOptions(String collection, JsonObject query, FindOptions findOptions)` Find a single matching document in the specified collection and delete it.
    `rx.Single<JsonObject>` | `rxFindOneAndReplace(String collection, JsonObject query, JsonObject replace)` Find a single matching document in the specified collection and replace it.
    `rx.Single<JsonObject>` | `rxFindOneAndReplaceWithOptions(String collection, JsonObject query, JsonObject replace, FindOptions findOptions, UpdateOptions updateOptions)` Find a single matching document in the specified collection and replace it.
    `rx.Single<JsonObject>` | `rxFindOneAndUpdate(String collection, JsonObject query, JsonObject update)` Find a single matching document in the specified collection and update it.
    `rx.Single<JsonObject>` | `rxFindOneAndUpdateWithOptions(String collection, JsonObject query, JsonObject update, FindOptions findOptions, UpdateOptions updateOptions)` Find a single matching document in the specified collection and update it.
    `rx.Single<List<JsonObject>>` | `rxFindWithOptions(String collection, JsonObject query, FindOptions options)` Find matching documents in the specified collection, specifying options
    `rx.Single<List<String>>` | `rxGetCollections()` Get a list of all collections in the database.
    `rx.Single<String>` | `rxInsert(String collection, JsonObject document)` Insert a document in the specified collection
    `rx.Single<String>` | `rxInsertWithOptions(String collection, JsonObject document, WriteOption writeOption)` Insert a document in the specified collection with the specified write option
    `rx.Single<JsonArray>` | `rxListIndexes(String collection)` Get all the indexes in this collection.
    `rx.Single<Void>` | `rxRemove(String collection, JsonObject query)` Remove matching documents from a collection
    `rx.Single<MongoClientDeleteResult>` | `rxRemoveDocument(String collection, JsonObject query)` Remove a single matching document from a collection and return the handler with MongoClientDeleteResult result
    `rx.Single<MongoClientDeleteResult>` | `rxRemoveDocuments(String collection, JsonObject query)` Remove matching documents from a collection and return the handler with MongoClientDeleteResult result
    `rx.Single<MongoClientDeleteResult>` | `rxRemoveDocumentsWithOptions(String collection, JsonObject query, WriteOption writeOption)` Remove matching documents from a collection with the specified write option and return the handler with MongoClientDeleteResult result
    `rx.Single<MongoClientDeleteResult>` | `rxRemoveDocumentWithOptions(String collection, JsonObject query, WriteOption writeOption)` Remove a single matching document from a collection with the specified write option and return the handler with MongoClientDeleteResult result
    `rx.Single<Void>` | `rxRemoveOne(String collection, JsonObject query)` Remove a single matching document from a collection
    `rx.Single<Void>` | `rxRemoveOneWithOptions(String collection, JsonObject query, WriteOption writeOption)` Remove a single matching document from a collection with the specified write option
    `rx.Single<Void>` | `rxRemoveWithOptions(String collection, JsonObject query, WriteOption writeOption)` Remove matching documents from a collection with the specified write option
    `rx.Single<Void>` | `rxReplace(String collection, JsonObject query, JsonObject replace)` Replace matching documents in the specified collection
    `rx.Single<MongoClientUpdateResult>` | `rxReplaceDocuments(String collection, JsonObject query, JsonObject replace)` Replace matching documents in the specified collection and return the handler with MongoClientUpdateResult result
    `rx.Single<MongoClientUpdateResult>` | `rxReplaceDocumentsWithOptions(String collection, JsonObject query, JsonObject replace, UpdateOptions options)` Replace matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
    `rx.Single<Void>` | `rxReplaceWithOptions(String collection, JsonObject query, JsonObject replace, UpdateOptions options)` Replace matching documents in the specified collection, specifying options
    `rx.Single<JsonObject>` | `rxRunCommand(String commandName, JsonObject command)` Run an arbitrary MongoDB command.
    `rx.Single<String>` | `rxSave(String collection, JsonObject document)` Save a document in the specified collection
    `rx.Single<String>` | `rxSaveWithOptions(String collection, JsonObject document, WriteOption writeOption)` Save a document in the specified collection with the specified write option
    `rx.Single<Void>` | `rxUpdate(String collection, JsonObject query, JsonObject update)` Update matching documents in the specified collection
    `rx.Single<MongoClientUpdateResult>` | `rxUpdateCollection(String collection, JsonObject query, JsonObject update)` Update matching documents in the specified collection and return the handler with MongoClientUpdateResult result
    `rx.Single<MongoClientUpdateResult>` | `rxUpdateCollectionWithOptions(String collection, JsonObject query, JsonObject update, UpdateOptions options)` Update matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
    `rx.Single<Void>` | `rxUpdateWithOptions(String collection, JsonObject query, JsonObject update, UpdateOptions options)` Update matching documents in the specified collection, specifying options
    `MongoClient` | `save(String collection, JsonObject document, Handler<AsyncResult<String>> resultHandler)` Save a document in the specified collection
    `rx.Observable<String>` | `saveObservable(String collection, JsonObject document)` Deprecated. use `rxSave(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `saveWithOptions(String collection, JsonObject document, WriteOption writeOption, Handler<AsyncResult<String>> resultHandler)` Save a document in the specified collection with the specified write option
    `rx.Observable<String>` | `saveWithOptionsObservable(String collection, JsonObject document, WriteOption writeOption)` Deprecated. use `rxSaveWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.WriteOption)` instead
    `MongoClient` | `update(String collection, JsonObject query, JsonObject update, Handler<AsyncResult<Void>> resultHandler)` Update matching documents in the specified collection
    `MongoClient` | `updateCollection(String collection, JsonObject query, JsonObject update, Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)` Update matching documents in the specified collection and return the handler with MongoClientUpdateResult result
    `rx.Observable<MongoClientUpdateResult>` | `updateCollectionObservable(String collection, JsonObject query, JsonObject update)` Deprecated. use `rxUpdateCollection(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `updateCollectionWithOptions(String collection, JsonObject query, JsonObject update, UpdateOptions options, Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)` Update matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
    `rx.Observable<MongoClientUpdateResult>` | `updateCollectionWithOptionsObservable(String collection, JsonObject query, JsonObject update, UpdateOptions options)` Deprecated. use `rxUpdateCollectionWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.UpdateOptions)` instead
    `rx.Observable<Void>` | `updateObservable(String collection, JsonObject query, JsonObject update)` Deprecated. use `rxUpdate(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
    `MongoClient` | `updateWithOptions(String collection, JsonObject query, JsonObject update, UpdateOptions options, Handler<AsyncResult<Void>> resultHandler)` Update matching documents in the specified collection, specifying options
    `rx.Observable<Void>` | `updateWithOptionsObservable(String collection, JsonObject query, JsonObject update, UpdateOptions options)` Deprecated. use `rxUpdateWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.UpdateOptions)` instead

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<MongoClient> __TYPE_ARG

  - ### Constructor Detail

    - #### MongoClient

          public MongoClient(MongoClient delegate)

  - ### Method Detail

    - #### getDelegate

          public MongoClient getDelegate()

    - #### createNonShared

          public static MongoClient createNonShared(Vertx vertx,
                                                    JsonObject config)

      Create a Mongo client which maintains its own data source.
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### createShared

          public static MongoClient createShared(Vertx vertx,
                                                 JsonObject config,
                                                 String dataSourceName)

      Create a Mongo client which shares its data source with any other Mongo clients created with the same data source name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
        `dataSourceName` - the data source name
      Returns:
        the client

    - #### createShared

          public static MongoClient createShared(Vertx vertx,
                                                 JsonObject config)

      Like `createShared(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject, java.lang.String)` but with the default data source name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### save

          public MongoClient save(String collection,
                                  JsonObject document,
                                  Handler<AsyncResult<String>> resultHandler)

      Save a document in the specified collection

      This operation might change _id field of document parameter

      Parameters:
        `collection` - the collection
        `document` - the document
        `resultHandler` - result handler will be provided with the id if document didn't already have one
      Returns:

    - #### saveObservable

          @Deprecated
          public rx.Observable<String> saveObservable(String collection,
                                                                  JsonObject document)

      Deprecated. use `rxSave(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Save a document in the specified collection

      This operation might change _id field of document parameter

      Parameters:
        `collection` - the collection
        `document` - the document
      Returns:

    - #### rxSave

          public rx.Single<String> rxSave(String collection,
                                          JsonObject document)

      Save a document in the specified collection

      This operation might change _id field of document parameter

      Parameters:
        `collection` - the collection
        `document` - the document
      Returns:

    - #### saveWithOptions

          public MongoClient saveWithOptions(String collection,
                                             JsonObject document,
                                             WriteOption writeOption,
                                             Handler<AsyncResult<String>> resultHandler)

      Save a document in the specified collection with the specified write option

      This operation might change _id field of document parameter

      Parameters:
        `collection` - the collection
        `document` - the document
        `writeOption` - the write option to use
        `resultHandler` - result handler will be provided with the id if document didn't already have one
      Returns:

    - #### saveWithOptionsObservable

          @Deprecated
          public rx.Observable<String> saveWithOptionsObservable(String collection,
                                                                             JsonObject document,
                                                                             WriteOption writeOption)

      Deprecated. use `rxSaveWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.WriteOption)` instead
      Save a document in the specified collection with the specified write option

      This operation might change _id field of document parameter

      Parameters:
        `collection` - the collection
        `document` - the document
        `writeOption` - the write option to use
      Returns:

    - #### rxSaveWithOptions

          public rx.Single<String> rxSaveWithOptions(String collection,
                                                     JsonObject document,
                                                     WriteOption writeOption)

      Save a document in the specified collection with the specified write option

      This operation might change _id field of document parameter

      Parameters:
        `collection` - the collection
        `document` - the document
        `writeOption` - the write option to use
      Returns:

    - #### insert

          public MongoClient insert(String collection,
                                    JsonObject document,
                                    Handler<AsyncResult<String>> resultHandler)

      Insert a document in the specified collection

      This operation might change _id field of document parameter

      Parameters:
        `collection` - the collection
        `document` - the document
        `resultHandler` - result handler will be provided with the id if document didn't already have one
      Returns:

    - #### insertObservable

          @Deprecated
          public rx.Observable<String> insertObservable(String collection,
                                                                    JsonObject document)

      Deprecated. use `rxInsert(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Insert a document in the specified collection

      This operation might change _id field of document parameter

      Parameters:
        `collection` - the collection
        `document` - the document
      Returns:

    - #### rxInsert

          public rx.Single<String> rxInsert(String collection,
                                            JsonObject document)

      Insert a document in the specified collection

      This operation might change _id field of document parameter

      Parameters:
        `collection` - the collection
        `document` - the document
      Returns:

    - #### insertWithOptions

          public MongoClient insertWithOptions(String collection,
                                               JsonObject document,
                                               WriteOption writeOption,
                                               Handler<AsyncResult<String>> resultHandler)

      Insert a document in the specified collection with the specified write option

      This operation might change _id field of document parameter

      Parameters:
        `collection` - the collection
        `document` - the document
        `writeOption` - the write option to use
        `resultHandler` - result handler will be provided with the id if document didn't already have one
      Returns:

    - #### insertWithOptionsObservable

          @Deprecated
          public rx.Observable<String> insertWithOptionsObservable(String collection,
                                                                               JsonObject document,
                                                                               WriteOption writeOption)

      Deprecated. use `rxInsertWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.WriteOption)` instead
      Insert a document in the specified collection with the specified write option

      This operation might change _id field of document parameter

      Parameters:
        `collection` - the collection
        `document` - the document
        `writeOption` - the write option to use
      Returns:

    - #### rxInsertWithOptions

          public rx.Single<String> rxInsertWithOptions(String collection,
                                                       JsonObject document,
                                                       WriteOption writeOption)

      Insert a document in the specified collection with the specified write option

      This operation might change _id field of document parameter

      Parameters:
        `collection` - the collection
        `document` - the document
        `writeOption` - the write option to use
      Returns:

    - #### update

          public MongoClient update(String collection,
                                    JsonObject query,
                                    JsonObject update,
                                    Handler<AsyncResult<Void>> resultHandler)

      Update matching documents in the specified collection
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `resultHandler` - will be called when complete
      Returns:

    - #### updateObservable

          @Deprecated
          public rx.Observable<Void> updateObservable(String collection,
                                                                  JsonObject query,
                                                                  JsonObject update)

      Deprecated. use `rxUpdate(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
      Update matching documents in the specified collection
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
      Returns:

    - #### rxUpdate

          public rx.Single<Void> rxUpdate(String collection,
                                          JsonObject query,
                                          JsonObject update)

      Update matching documents in the specified collection
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
      Returns:

    - #### updateCollection

          public MongoClient updateCollection(String collection,
                                              JsonObject query,
                                              JsonObject update,
                                              Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)

      Update matching documents in the specified collection and return the handler with MongoClientUpdateResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `resultHandler` - will be called when complete
      Returns:

    - #### updateCollectionObservable

          @Deprecated
          public rx.Observable<MongoClientUpdateResult> updateCollectionObservable(String collection,
                                                                                               JsonObject query,
                                                                                               JsonObject update)

      Deprecated. use `rxUpdateCollection(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
      Update matching documents in the specified collection and return the handler with MongoClientUpdateResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
      Returns:

    - #### rxUpdateCollection

          public rx.Single<MongoClientUpdateResult> rxUpdateCollection(String collection,
                                                                       JsonObject query,
                                                                       JsonObject update)

      Update matching documents in the specified collection and return the handler with MongoClientUpdateResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
      Returns:

    - #### updateWithOptions

          public MongoClient updateWithOptions(String collection,
                                               JsonObject query,
                                               JsonObject update,
                                               UpdateOptions options,
                                               Handler<AsyncResult<Void>> resultHandler)

      Update matching documents in the specified collection, specifying options
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `options` - options to configure the update
        `resultHandler` - will be called when complete
      Returns:

    - #### updateWithOptionsObservable

          @Deprecated
          public rx.Observable<Void> updateWithOptionsObservable(String collection,
                                                                             JsonObject query,
                                                                             JsonObject update,
                                                                             UpdateOptions options)

      Deprecated. use `rxUpdateWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.UpdateOptions)` instead
      Update matching documents in the specified collection, specifying options
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `options` - options to configure the update
      Returns:

    - #### rxUpdateWithOptions

          public rx.Single<Void> rxUpdateWithOptions(String collection,
                                                     JsonObject query,
                                                     JsonObject update,
                                                     UpdateOptions options)

      Update matching documents in the specified collection, specifying options
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `options` - options to configure the update
      Returns:

    - #### updateCollectionWithOptions

          public MongoClient updateCollectionWithOptions(String collection,
                                                         JsonObject query,
                                                         JsonObject update,
                                                         UpdateOptions options,
                                                         Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)

      Update matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `options` - options to configure the update
        `resultHandler` - will be called when complete
      Returns:

    - #### updateCollectionWithOptionsObservable

          @Deprecated
          public rx.Observable<MongoClientUpdateResult> updateCollectionWithOptionsObservable(String collection,
                                                                                                          JsonObject query,
                                                                                                          JsonObject update,
                                                                                                          UpdateOptions options)

      Deprecated. use `rxUpdateCollectionWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.UpdateOptions)` instead
      Update matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `options` - options to configure the update
      Returns:

    - #### rxUpdateCollectionWithOptions

          public rx.Single<MongoClientUpdateResult> rxUpdateCollectionWithOptions(String collection,
                                                                                  JsonObject query,
                                                                                  JsonObject update,
                                                                                  UpdateOptions options)

      Update matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `options` - options to configure the update
      Returns:

    - #### replace

          public MongoClient replace(String collection,
                                     JsonObject query,
                                     JsonObject replace,
                                     Handler<AsyncResult<Void>> resultHandler)

      Replace matching documents in the specified collection

      This operation might change _id field of replace parameter

      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `resultHandler` - will be called when complete
      Returns:

    - #### replaceObservable

          @Deprecated
          public rx.Observable<Void> replaceObservable(String collection,
                                                                   JsonObject query,
                                                                   JsonObject replace)

      Deprecated. use `rxReplace(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
      Replace matching documents in the specified collection

      This operation might change _id field of replace parameter

      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
      Returns:

    - #### rxReplace

          public rx.Single<Void> rxReplace(String collection,
                                           JsonObject query,
                                           JsonObject replace)

      Replace matching documents in the specified collection

      This operation might change _id field of replace parameter

      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
      Returns:

    - #### replaceDocuments

          public MongoClient replaceDocuments(String collection,
                                              JsonObject query,
                                              JsonObject replace,
                                              Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)

      Replace matching documents in the specified collection and return the handler with MongoClientUpdateResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `resultHandler` - will be called when complete
      Returns:

    - #### replaceDocumentsObservable

          @Deprecated
          public rx.Observable<MongoClientUpdateResult> replaceDocumentsObservable(String collection,
                                                                                               JsonObject query,
                                                                                               JsonObject replace)

      Deprecated. use `rxReplaceDocuments(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
      Replace matching documents in the specified collection and return the handler with MongoClientUpdateResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
      Returns:

    - #### rxReplaceDocuments

          public rx.Single<MongoClientUpdateResult> rxReplaceDocuments(String collection,
                                                                       JsonObject query,
                                                                       JsonObject replace)

      Replace matching documents in the specified collection and return the handler with MongoClientUpdateResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
      Returns:

    - #### replaceWithOptions

          public MongoClient replaceWithOptions(String collection,
                                                JsonObject query,
                                                JsonObject replace,
                                                UpdateOptions options,
                                                Handler<AsyncResult<Void>> resultHandler)

      Replace matching documents in the specified collection, specifying options

      This operation might change _id field of replace parameter

      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `options` - options to configure the replace
        `resultHandler` - will be called when complete
      Returns:

    - #### replaceWithOptionsObservable

          @Deprecated
          public rx.Observable<Void> replaceWithOptionsObservable(String collection,
                                                                              JsonObject query,
                                                                              JsonObject replace,
                                                                              UpdateOptions options)

      Deprecated. use `rxReplaceWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.UpdateOptions)` instead
      Replace matching documents in the specified collection, specifying options

      This operation might change _id field of replace parameter

      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `options` - options to configure the replace
      Returns:

    - #### rxReplaceWithOptions

          public rx.Single<Void> rxReplaceWithOptions(String collection,
                                                      JsonObject query,
                                                      JsonObject replace,
                                                      UpdateOptions options)

      Replace matching documents in the specified collection, specifying options

      This operation might change _id field of replace parameter

      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `options` - options to configure the replace
      Returns:

    - #### replaceDocumentsWithOptions

          public MongoClient replaceDocumentsWithOptions(String collection,
                                                         JsonObject query,
                                                         JsonObject replace,
                                                         UpdateOptions options,
                                                         Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)

      Replace matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `options` - options to configure the replace
        `resultHandler` - will be called when complete
      Returns:

    - #### replaceDocumentsWithOptionsObservable

          @Deprecated
          public rx.Observable<MongoClientUpdateResult> replaceDocumentsWithOptionsObservable(String collection,
                                                                                                          JsonObject query,
                                                                                                          JsonObject replace,
                                                                                                          UpdateOptions options)

      Deprecated. use `rxReplaceDocumentsWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.UpdateOptions)` instead
      Replace matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `options` - options to configure the replace
      Returns:

    - #### rxReplaceDocumentsWithOptions

          public rx.Single<MongoClientUpdateResult> rxReplaceDocumentsWithOptions(String collection,
                                                                                  JsonObject query,
                                                                                  JsonObject replace,
                                                                                  UpdateOptions options)

      Replace matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `options` - options to configure the replace
      Returns:

    - #### bulkWrite

          public MongoClient bulkWrite(String collection,
                                       List<BulkOperation> operations,
                                       Handler<AsyncResult<MongoClientBulkWriteResult>> resultHandler)

      Execute a bulk operation. Can insert, update, replace, and/or delete multiple documents with one request.
      Parameters:
        `collection` - the collection
        `operations` - the operations to execute
        `resultHandler` - will be called with a `MongoClientBulkWriteResult` when complete
      Returns:

    - #### bulkWriteObservable

          @Deprecated
          public rx.Observable<MongoClientBulkWriteResult> bulkWriteObservable(String collection,
                                                                                           List<BulkOperation> operations)

      Deprecated. use `rxBulkWrite(java.lang.String, java.util.List<io.vertx.ext.mongo.BulkOperation>)` instead
      Execute a bulk operation. Can insert, update, replace, and/or delete multiple documents with one request.
      Parameters:
        `collection` - the collection
        `operations` - the operations to execute
      Returns:

    - #### rxBulkWrite

          public rx.Single<MongoClientBulkWriteResult> rxBulkWrite(String collection,
                                                                   List<BulkOperation> operations)

      Execute a bulk operation. Can insert, update, replace, and/or delete multiple documents with one request.
      Parameters:
        `collection` - the collection
        `operations` - the operations to execute
      Returns:

    - #### bulkWriteWithOptions

          public MongoClient bulkWriteWithOptions(String collection,
                                                  List<BulkOperation> operations,
                                                  BulkWriteOptions bulkWriteOptions,
                                                  Handler<AsyncResult<MongoClientBulkWriteResult>> resultHandler)

      Execute a bulk operation with the specified write options. Can insert, update, replace, and/or delete multiple documents with one request.
      Parameters:
        `collection` - the collection
        `operations` - the operations to execute
        `bulkWriteOptions` - the write options
        `resultHandler` - will be called with a `MongoClientBulkWriteResult` when complete
      Returns:

    - #### bulkWriteWithOptionsObservable

          @Deprecated
          public rx.Observable<MongoClientBulkWriteResult> bulkWriteWithOptionsObservable(String collection,
                                                                                                      List<BulkOperation> operations,
                                                                                                      BulkWriteOptions bulkWriteOptions)

      Deprecated. use `rxBulkWriteWithOptions(java.lang.String, java.util.List<io.vertx.ext.mongo.BulkOperation>, io.vertx.ext.mongo.BulkWriteOptions)` instead
      Execute a bulk operation with the specified write options. Can insert, update, replace, and/or delete multiple documents with one request.
      Parameters:
        `collection` - the collection
        `operations` - the operations to execute
        `bulkWriteOptions` - the write options
      Returns:

    - #### rxBulkWriteWithOptions

          public rx.Single<MongoClientBulkWriteResult> rxBulkWriteWithOptions(String collection,
                                                                              List<BulkOperation> operations,
                                                                              BulkWriteOptions bulkWriteOptions)

      Execute a bulk operation with the specified write options. Can insert, update, replace, and/or delete multiple documents with one request.
      Parameters:
        `collection` - the collection
        `operations` - the operations to execute
        `bulkWriteOptions` - the write options
      Returns:

    - #### find

          public MongoClient find(String collection,
                                  JsonObject query,
                                  Handler<AsyncResult<List<JsonObject>>> resultHandler)

      Find matching documents in the specified collection
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `resultHandler` - will be provided with list of documents
      Returns:

    - #### findObservable

          @Deprecated
          public rx.Observable<List<JsonObject>> findObservable(String collection,
                                                                            JsonObject query)

      Deprecated. use `rxFind(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Find matching documents in the specified collection
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### rxFind

          public rx.Single<List<JsonObject>> rxFind(String collection,
                                                    JsonObject query)

      Find matching documents in the specified collection
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### findBatch

          public MongoClient findBatch(String collection,
                                       JsonObject query,
                                       Handler<AsyncResult<JsonObject>> resultHandler)

      Find matching documents in the specified collection. This method use batchCursor for returning each found document.
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `resultHandler` - will be provided with each found document
      Returns:

    - #### findBatchObservable

          @Deprecated
          public rx.Observable<JsonObject> findBatchObservable(String collection,
                                                                           JsonObject query)

      Deprecated. use `rxFindBatch(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Find matching documents in the specified collection. This method use batchCursor for returning each found document.
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### rxFindBatch

          public rx.Single<JsonObject> rxFindBatch(String collection,
                                                   JsonObject query)

      Find matching documents in the specified collection. This method use batchCursor for returning each found document.
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### findWithOptions

          public MongoClient findWithOptions(String collection,
                                             JsonObject query,
                                             FindOptions options,
                                             Handler<AsyncResult<List<JsonObject>>> resultHandler)

      Find matching documents in the specified collection, specifying options
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `options` - options to configure the find
        `resultHandler` - will be provided with list of documents
      Returns:

    - #### findWithOptionsObservable

          @Deprecated
          public rx.Observable<List<JsonObject>> findWithOptionsObservable(String collection,
                                                                                       JsonObject query,
                                                                                       FindOptions options)

      Deprecated. use `rxFindWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.FindOptions)` instead
      Find matching documents in the specified collection, specifying options
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `options` - options to configure the find
      Returns:

    - #### rxFindWithOptions

          public rx.Single<List<JsonObject>> rxFindWithOptions(String collection,
                                                               JsonObject query,
                                                               FindOptions options)

      Find matching documents in the specified collection, specifying options
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `options` - options to configure the find
      Returns:

    - #### findBatchWithOptions

          public MongoClient findBatchWithOptions(String collection,
                                                  JsonObject query,
                                                  FindOptions options,
                                                  Handler<AsyncResult<JsonObject>> resultHandler)

      Find matching documents in the specified collection, specifying options. This method use batchCursor for returning each found document.
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `options` - options to configure the find
        `resultHandler` - will be provided with each found document
      Returns:

    - #### findBatchWithOptionsObservable

          @Deprecated
          public rx.Observable<JsonObject> findBatchWithOptionsObservable(String collection,
                                                                                      JsonObject query,
                                                                                      FindOptions options)

      Deprecated. use `rxFindBatchWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.FindOptions)` instead
      Find matching documents in the specified collection, specifying options. This method use batchCursor for returning each found document.
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `options` - options to configure the find
      Returns:

    - #### rxFindBatchWithOptions

          public rx.Single<JsonObject> rxFindBatchWithOptions(String collection,
                                                              JsonObject query,
                                                              FindOptions options)

      Find matching documents in the specified collection, specifying options. This method use batchCursor for returning each found document.
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `options` - options to configure the find
      Returns:

    - #### findOne

          public MongoClient findOne(String collection,
                                     JsonObject query,
                                     JsonObject fields,
                                     Handler<AsyncResult<JsonObject>> resultHandler)

      Find a single matching document in the specified collection

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `fields` - the fields
        `resultHandler` - will be provided with the document, if any
      Returns:

    - #### findOneObservable

          @Deprecated
          public rx.Observable<JsonObject> findOneObservable(String collection,
                                                                         JsonObject query,
                                                                         JsonObject fields)

      Deprecated. use `rxFindOne(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
      Find a single matching document in the specified collection

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `fields` - the fields
      Returns:

    - #### rxFindOne

          public rx.Single<JsonObject> rxFindOne(String collection,
                                                 JsonObject query,
                                                 JsonObject fields)

      Find a single matching document in the specified collection

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `fields` - the fields
      Returns:

    - #### findOneAndUpdate

          public MongoClient findOneAndUpdate(String collection,
                                              JsonObject query,
                                              JsonObject update,
                                              Handler<AsyncResult<JsonObject>> resultHandler)

      Find a single matching document in the specified collection and update it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - used to describe how the documents will be updated
        `resultHandler` - will be provided with the document, if any
      Returns:

    - #### findOneAndUpdateObservable

          @Deprecated
          public rx.Observable<JsonObject> findOneAndUpdateObservable(String collection,
                                                                                  JsonObject query,
                                                                                  JsonObject update)

      Deprecated. use `rxFindOneAndUpdate(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
      Find a single matching document in the specified collection and update it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - used to describe how the documents will be updated
      Returns:

    - #### rxFindOneAndUpdate

          public rx.Single<JsonObject> rxFindOneAndUpdate(String collection,
                                                          JsonObject query,
                                                          JsonObject update)

      Find a single matching document in the specified collection and update it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - used to describe how the documents will be updated
      Returns:

    - #### findOneAndUpdateWithOptions

          public MongoClient findOneAndUpdateWithOptions(String collection,
                                                         JsonObject query,
                                                         JsonObject update,
                                                         FindOptions findOptions,
                                                         UpdateOptions updateOptions,
                                                         Handler<AsyncResult<JsonObject>> resultHandler)

      Find a single matching document in the specified collection and update it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - used to describe how the documents will be updated
        `findOptions` - options to configure the find
        `updateOptions` - options to configure the update
        `resultHandler` - will be provided with the document, if any
      Returns:

    - #### findOneAndUpdateWithOptionsObservable

          @Deprecated
          public rx.Observable<JsonObject> findOneAndUpdateWithOptionsObservable(String collection,
                                                                                             JsonObject query,
                                                                                             JsonObject update,
                                                                                             FindOptions findOptions,
                                                                                             UpdateOptions updateOptions)

      Deprecated. use `rxFindOneAndUpdateWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.FindOptions, io.vertx.ext.mongo.UpdateOptions)` instead
      Find a single matching document in the specified collection and update it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - used to describe how the documents will be updated
        `findOptions` - options to configure the find
        `updateOptions` - options to configure the update
      Returns:

    - #### rxFindOneAndUpdateWithOptions

          public rx.Single<JsonObject> rxFindOneAndUpdateWithOptions(String collection,
                                                                     JsonObject query,
                                                                     JsonObject update,
                                                                     FindOptions findOptions,
                                                                     UpdateOptions updateOptions)

      Find a single matching document in the specified collection and update it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - used to describe how the documents will be updated
        `findOptions` - options to configure the find
        `updateOptions` - options to configure the update
      Returns:

    - #### findOneAndReplace

          public MongoClient findOneAndReplace(String collection,
                                               JsonObject query,
                                               JsonObject replace,
                                               Handler<AsyncResult<JsonObject>> resultHandler)

      Find a single matching document in the specified collection and replace it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `replace` - the replacement document
        `resultHandler` - will be provided with the document, if any
      Returns:

    - #### findOneAndReplaceObservable

          @Deprecated
          public rx.Observable<JsonObject> findOneAndReplaceObservable(String collection,
                                                                                   JsonObject query,
                                                                                   JsonObject replace)

      Deprecated. use `rxFindOneAndReplace(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject)` instead
      Find a single matching document in the specified collection and replace it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `replace` - the replacement document
      Returns:

    - #### rxFindOneAndReplace

          public rx.Single<JsonObject> rxFindOneAndReplace(String collection,
                                                           JsonObject query,
                                                           JsonObject replace)

      Find a single matching document in the specified collection and replace it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `replace` - the replacement document
      Returns:

    - #### findOneAndReplaceWithOptions

          public MongoClient findOneAndReplaceWithOptions(String collection,
                                                          JsonObject query,
                                                          JsonObject replace,
                                                          FindOptions findOptions,
                                                          UpdateOptions updateOptions,
                                                          Handler<AsyncResult<JsonObject>> resultHandler)

      Find a single matching document in the specified collection and replace it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `replace` - the replacement document
        `findOptions` - options to configure the find
        `updateOptions` - options to configure the update
        `resultHandler` - will be provided with the document, if any
      Returns:

    - #### findOneAndReplaceWithOptionsObservable

          @Deprecated
          public rx.Observable<JsonObject> findOneAndReplaceWithOptionsObservable(String collection,
                                                                                              JsonObject query,
                                                                                              JsonObject replace,
                                                                                              FindOptions findOptions,
                                                                                              UpdateOptions updateOptions)

      Deprecated. use `rxFindOneAndReplaceWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.FindOptions, io.vertx.ext.mongo.UpdateOptions)` instead
      Find a single matching document in the specified collection and replace it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `replace` - the replacement document
        `findOptions` - options to configure the find
        `updateOptions` - options to configure the update
      Returns:

    - #### rxFindOneAndReplaceWithOptions

          public rx.Single<JsonObject> rxFindOneAndReplaceWithOptions(String collection,
                                                                      JsonObject query,
                                                                      JsonObject replace,
                                                                      FindOptions findOptions,
                                                                      UpdateOptions updateOptions)

      Find a single matching document in the specified collection and replace it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `replace` - the replacement document
        `findOptions` - options to configure the find
        `updateOptions` - options to configure the update
      Returns:

    - #### findOneAndDelete

          public MongoClient findOneAndDelete(String collection,
                                              JsonObject query,
                                              Handler<AsyncResult<JsonObject>> resultHandler)

      Find a single matching document in the specified collection and delete it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `resultHandler` - will be provided with the deleted document, if any
      Returns:

    - #### findOneAndDeleteObservable

          @Deprecated
          public rx.Observable<JsonObject> findOneAndDeleteObservable(String collection,
                                                                                  JsonObject query)

      Deprecated. use `rxFindOneAndDelete(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Find a single matching document in the specified collection and delete it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
      Returns:

    - #### rxFindOneAndDelete

          public rx.Single<JsonObject> rxFindOneAndDelete(String collection,
                                                          JsonObject query)

      Find a single matching document in the specified collection and delete it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
      Returns:

    - #### findOneAndDeleteWithOptions

          public MongoClient findOneAndDeleteWithOptions(String collection,
                                                         JsonObject query,
                                                         FindOptions findOptions,
                                                         Handler<AsyncResult<JsonObject>> resultHandler)

      Find a single matching document in the specified collection and delete it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `findOptions` - options to configure the find
        `resultHandler` - will be provided with the deleted document, if any
      Returns:

    - #### findOneAndDeleteWithOptionsObservable

          @Deprecated
          public rx.Observable<JsonObject> findOneAndDeleteWithOptionsObservable(String collection,
                                                                                             JsonObject query,
                                                                                             FindOptions findOptions)

      Deprecated. use `rxFindOneAndDeleteWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.FindOptions)` instead
      Find a single matching document in the specified collection and delete it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `findOptions` - options to configure the find
      Returns:

    - #### rxFindOneAndDeleteWithOptions

          public rx.Single<JsonObject> rxFindOneAndDeleteWithOptions(String collection,
                                                                     JsonObject query,
                                                                     FindOptions findOptions)

      Find a single matching document in the specified collection and delete it.

      This operation might change _id field of query parameter

      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `findOptions` - options to configure the find
      Returns:

    - #### count

          public MongoClient count(String collection,
                                   JsonObject query,
                                   Handler<AsyncResult<Long>> resultHandler)

      Count matching documents in a collection.
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `resultHandler` - will be provided with the number of matching documents
      Returns:

    - #### countObservable

          @Deprecated
          public rx.Observable<Long> countObservable(String collection,
                                                                 JsonObject query)

      Deprecated. use `rxCount(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Count matching documents in a collection.
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### rxCount

          public rx.Single<Long> rxCount(String collection,
                                         JsonObject query)

      Count matching documents in a collection.
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### remove

          public MongoClient remove(String collection,
                                    JsonObject query,
                                    Handler<AsyncResult<Void>> resultHandler)

      Remove matching documents from a collection
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `resultHandler` - will be called when complete
      Returns:

    - #### removeObservable

          @Deprecated
          public rx.Observable<Void> removeObservable(String collection,
                                                                  JsonObject query)

      Deprecated. use `rxRemove(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Remove matching documents from a collection
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### rxRemove

          public rx.Single<Void> rxRemove(String collection,
                                          JsonObject query)

      Remove matching documents from a collection
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### removeDocuments

          public MongoClient removeDocuments(String collection,
                                             JsonObject query,
                                             Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)

      Remove matching documents from a collection and return the handler with MongoClientDeleteResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `resultHandler` - will be called when complete
      Returns:

    - #### removeDocumentsObservable

          @Deprecated
          public rx.Observable<MongoClientDeleteResult> removeDocumentsObservable(String collection,
                                                                                              JsonObject query)

      Deprecated. use `rxRemoveDocuments(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Remove matching documents from a collection and return the handler with MongoClientDeleteResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### rxRemoveDocuments

          public rx.Single<MongoClientDeleteResult> rxRemoveDocuments(String collection,
                                                                      JsonObject query)

      Remove matching documents from a collection and return the handler with MongoClientDeleteResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### removeWithOptions

          public MongoClient removeWithOptions(String collection,
                                               JsonObject query,
                                               WriteOption writeOption,
                                               Handler<AsyncResult<Void>> resultHandler)

      Remove matching documents from a collection with the specified write option
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `writeOption` - the write option to use
        `resultHandler` - will be called when complete
      Returns:

    - #### removeWithOptionsObservable

          @Deprecated
          public rx.Observable<Void> removeWithOptionsObservable(String collection,
                                                                             JsonObject query,
                                                                             WriteOption writeOption)

      Deprecated. use `rxRemoveWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.WriteOption)` instead
      Remove matching documents from a collection with the specified write option
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `writeOption` - the write option to use
      Returns:

    - #### rxRemoveWithOptions

          public rx.Single<Void> rxRemoveWithOptions(String collection,
                                                     JsonObject query,
                                                     WriteOption writeOption)

      Remove matching documents from a collection with the specified write option
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `writeOption` - the write option to use
      Returns:

    - #### removeDocumentsWithOptions

          public MongoClient removeDocumentsWithOptions(String collection,
                                                        JsonObject query,
                                                        WriteOption writeOption,
                                                        Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)

      Remove matching documents from a collection with the specified write option and return the handler with MongoClientDeleteResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `writeOption` - the write option to use
        `resultHandler` - will be called when complete
      Returns:

    - #### removeDocumentsWithOptionsObservable

          @Deprecated
          public rx.Observable<MongoClientDeleteResult> removeDocumentsWithOptionsObservable(String collection,
                                                                                                         JsonObject query,
                                                                                                         WriteOption writeOption)

      Deprecated. use `rxRemoveDocumentsWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.WriteOption)` instead
      Remove matching documents from a collection with the specified write option and return the handler with MongoClientDeleteResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `writeOption` - the write option to use
      Returns:

    - #### rxRemoveDocumentsWithOptions

          public rx.Single<MongoClientDeleteResult> rxRemoveDocumentsWithOptions(String collection,
                                                                                 JsonObject query,
                                                                                 WriteOption writeOption)

      Remove matching documents from a collection with the specified write option and return the handler with MongoClientDeleteResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `writeOption` - the write option to use
      Returns:

    - #### removeOne

          public MongoClient removeOne(String collection,
                                       JsonObject query,
                                       Handler<AsyncResult<Void>> resultHandler)

      Remove a single matching document from a collection
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `resultHandler` - will be called when complete
      Returns:

    - #### removeOneObservable

          @Deprecated
          public rx.Observable<Void> removeOneObservable(String collection,
                                                                     JsonObject query)

      Deprecated. use `rxRemoveOne(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Remove a single matching document from a collection
      Parameters:
        `collection` - the collection
        `query` - query used to match document
      Returns:

    - #### rxRemoveOne

          public rx.Single<Void> rxRemoveOne(String collection,
                                             JsonObject query)

      Remove a single matching document from a collection
      Parameters:
        `collection` - the collection
        `query` - query used to match document
      Returns:

    - #### removeDocument

          public MongoClient removeDocument(String collection,
                                            JsonObject query,
                                            Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)

      Remove a single matching document from a collection and return the handler with MongoClientDeleteResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `resultHandler` - will be called when complete
      Returns:

    - #### removeDocumentObservable

          @Deprecated
          public rx.Observable<MongoClientDeleteResult> removeDocumentObservable(String collection,
                                                                                             JsonObject query)

      Deprecated. use `rxRemoveDocument(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Remove a single matching document from a collection and return the handler with MongoClientDeleteResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match document
      Returns:

    - #### rxRemoveDocument

          public rx.Single<MongoClientDeleteResult> rxRemoveDocument(String collection,
                                                                     JsonObject query)

      Remove a single matching document from a collection and return the handler with MongoClientDeleteResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match document
      Returns:

    - #### removeOneWithOptions

          public MongoClient removeOneWithOptions(String collection,
                                                  JsonObject query,
                                                  WriteOption writeOption,
                                                  Handler<AsyncResult<Void>> resultHandler)

      Remove a single matching document from a collection with the specified write option
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `writeOption` - the write option to use
        `resultHandler` - will be called when complete
      Returns:

    - #### removeOneWithOptionsObservable

          @Deprecated
          public rx.Observable<Void> removeOneWithOptionsObservable(String collection,
                                                                                JsonObject query,
                                                                                WriteOption writeOption)

      Deprecated. use `rxRemoveOneWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.WriteOption)` instead
      Remove a single matching document from a collection with the specified write option
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `writeOption` - the write option to use
      Returns:

    - #### rxRemoveOneWithOptions

          public rx.Single<Void> rxRemoveOneWithOptions(String collection,
                                                        JsonObject query,
                                                        WriteOption writeOption)

      Remove a single matching document from a collection with the specified write option
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `writeOption` - the write option to use
      Returns:

    - #### removeDocumentWithOptions

          public MongoClient removeDocumentWithOptions(String collection,
                                                       JsonObject query,
                                                       WriteOption writeOption,
                                                       Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)

      Remove a single matching document from a collection with the specified write option and return the handler with MongoClientDeleteResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `writeOption` - the write option to use
        `resultHandler` - will be called when complete
      Returns:

    - #### removeDocumentWithOptionsObservable

          @Deprecated
          public rx.Observable<MongoClientDeleteResult> removeDocumentWithOptionsObservable(String collection,
                                                                                                        JsonObject query,
                                                                                                        WriteOption writeOption)

      Deprecated. use `rxRemoveDocumentWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.WriteOption)` instead
      Remove a single matching document from a collection with the specified write option and return the handler with MongoClientDeleteResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `writeOption` - the write option to use
      Returns:

    - #### rxRemoveDocumentWithOptions

          public rx.Single<MongoClientDeleteResult> rxRemoveDocumentWithOptions(String collection,
                                                                                JsonObject query,
                                                                                WriteOption writeOption)

      Remove a single matching document from a collection with the specified write option and return the handler with MongoClientDeleteResult result
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `writeOption` - the write option to use
      Returns:

    - #### createCollection

          public MongoClient createCollection(String collectionName,
                                              Handler<AsyncResult<Void>> resultHandler)

      Create a new collection
      Parameters:
        `collectionName` - the name of the collection
        `resultHandler` - will be called when complete
      Returns:

    - #### createCollectionObservable

          @Deprecated
          public rx.Observable<Void> createCollectionObservable(String collectionName)

      Deprecated. use `rxCreateCollection(java.lang.String)` instead
      Create a new collection
      Parameters:
        `collectionName` - the name of the collection
      Returns:

    - #### rxCreateCollection

          public rx.Single<Void> rxCreateCollection(String collectionName)

      Create a new collection
      Parameters:
        `collectionName` - the name of the collection
      Returns:

    - #### getCollections

          public MongoClient getCollections(Handler<AsyncResult<List<String>>> resultHandler)

      Get a list of all collections in the database.
      Parameters:
        `resultHandler` - will be called with a list of collections.
      Returns:

    - #### getCollectionsObservable

          @Deprecated
          public rx.Observable<List<String>> getCollectionsObservable()

      Deprecated. use `rxGetCollections()` instead
      Get a list of all collections in the database.
      Returns:

    - #### rxGetCollections

          public rx.Single<List<String>> rxGetCollections()

      Get a list of all collections in the database.
      Returns:

    - #### dropCollection

          public MongoClient dropCollection(String collection,
                                            Handler<AsyncResult<Void>> resultHandler)

      Drop a collection
      Parameters:
        `collection` - the collection
        `resultHandler` - will be called when complete
      Returns:

    - #### dropCollectionObservable

          @Deprecated
          public rx.Observable<Void> dropCollectionObservable(String collection)

      Deprecated. use `rxDropCollection(java.lang.String)` instead
      Drop a collection
      Parameters:
        `collection` - the collection
      Returns:

    - #### rxDropCollection

          public rx.Single<Void> rxDropCollection(String collection)

      Drop a collection
      Parameters:
        `collection` - the collection
      Returns:

    - #### createIndex

          public MongoClient createIndex(String collection,
                                         JsonObject key,
                                         Handler<AsyncResult<Void>> resultHandler)

      Creates an index.
      Parameters:
        `collection` - the collection
        `key` - A document that contains the field and value pairs where the field is the index key and the value describes the type of index for that field. For an ascending index on a field, specify a value of 1; for descending index, specify a value of -1.
        `resultHandler` - will be called when complete
      Returns:

    - #### createIndexObservable

          @Deprecated
          public rx.Observable<Void> createIndexObservable(String collection,
                                                                       JsonObject key)

      Deprecated. use `rxCreateIndex(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Creates an index.
      Parameters:
        `collection` - the collection
        `key` - A document that contains the field and value pairs where the field is the index key and the value describes the type of index for that field. For an ascending index on a field, specify a value of 1; for descending index, specify a value of -1.
      Returns:

    - #### rxCreateIndex

          public rx.Single<Void> rxCreateIndex(String collection,
                                               JsonObject key)

      Creates an index.
      Parameters:
        `collection` - the collection
        `key` - A document that contains the field and value pairs where the field is the index key and the value describes the type of index for that field. For an ascending index on a field, specify a value of 1; for descending index, specify a value of -1.
      Returns:

    - #### createIndexWithOptions

          public MongoClient createIndexWithOptions(String collection,
                                                    JsonObject key,
                                                    IndexOptions options,
                                                    Handler<AsyncResult<Void>> resultHandler)

      Creates an index.
      Parameters:
        `collection` - the collection
        `key` - A document that contains the field and value pairs where the field is the index key and the value describes the type of index for that field. For an ascending index on a field, specify a value of 1; for descending index, specify a value of -1.
        `options` - the options for the index
        `resultHandler` - will be called when complete
      Returns:

    - #### createIndexWithOptionsObservable

          @Deprecated
          public rx.Observable<Void> createIndexWithOptionsObservable(String collection,
                                                                                  JsonObject key,
                                                                                  IndexOptions options)

      Deprecated. use `rxCreateIndexWithOptions(java.lang.String, io.vertx.core.json.JsonObject, io.vertx.ext.mongo.IndexOptions)` instead
      Creates an index.
      Parameters:
        `collection` - the collection
        `key` - A document that contains the field and value pairs where the field is the index key and the value describes the type of index for that field. For an ascending index on a field, specify a value of 1; for descending index, specify a value of -1.
        `options` - the options for the index
      Returns:

    - #### rxCreateIndexWithOptions

          public rx.Single<Void> rxCreateIndexWithOptions(String collection,
                                                          JsonObject key,
                                                          IndexOptions options)

      Creates an index.
      Parameters:
        `collection` - the collection
        `key` - A document that contains the field and value pairs where the field is the index key and the value describes the type of index for that field. For an ascending index on a field, specify a value of 1; for descending index, specify a value of -1.
        `options` - the options for the index
      Returns:

    - #### listIndexes

          public MongoClient listIndexes(String collection,
                                         Handler<AsyncResult<JsonArray>> resultHandler)

      Get all the indexes in this collection.
      Parameters:
        `collection` - the collection
        `resultHandler` - will be called when complete
      Returns:

    - #### listIndexesObservable

          @Deprecated
          public rx.Observable<JsonArray> listIndexesObservable(String collection)

      Deprecated. use `rxListIndexes(java.lang.String)` instead
      Get all the indexes in this collection.
      Parameters:
        `collection` - the collection
      Returns:

    - #### rxListIndexes

          public rx.Single<JsonArray> rxListIndexes(String collection)

      Get all the indexes in this collection.
      Parameters:
        `collection` - the collection
      Returns:

    - #### dropIndex

          public MongoClient dropIndex(String collection,
                                       String indexName,
                                       Handler<AsyncResult<Void>> resultHandler)

      Drops the index given its name.
      Parameters:
        `collection` - the collection
        `indexName` - the name of the index to remove
        `resultHandler` - will be called when complete
      Returns:

    - #### dropIndexObservable

          @Deprecated
          public rx.Observable<Void> dropIndexObservable(String collection,
                                                                     String indexName)

      Deprecated. use `rxDropIndex(java.lang.String, java.lang.String)` instead
      Drops the index given its name.
      Parameters:
        `collection` - the collection
        `indexName` - the name of the index to remove
      Returns:

    - #### rxDropIndex

          public rx.Single<Void> rxDropIndex(String collection,
                                             String indexName)

      Drops the index given its name.
      Parameters:
        `collection` - the collection
        `indexName` - the name of the index to remove
      Returns:

    - #### runCommand

          public MongoClient runCommand(String commandName,
                                        JsonObject command,
                                        Handler<AsyncResult<JsonObject>> resultHandler)

      Run an arbitrary MongoDB command.
      Parameters:
        `commandName` - the name of the command
        `command` - the command
        `resultHandler` - will be called with the result.
      Returns:

    - #### runCommandObservable

          @Deprecated
          public rx.Observable<JsonObject> runCommandObservable(String commandName,
                                                                            JsonObject command)

      Deprecated. use `rxRunCommand(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Run an arbitrary MongoDB command.
      Parameters:
        `commandName` - the name of the command
        `command` - the command
      Returns:

    - #### rxRunCommand

          public rx.Single<JsonObject> rxRunCommand(String commandName,
                                                    JsonObject command)

      Run an arbitrary MongoDB command.
      Parameters:
        `commandName` - the name of the command
        `command` - the command
      Returns:

    - #### distinct

          public MongoClient distinct(String collection,
                                      String fieldName,
                                      String resultClassname,
                                      Handler<AsyncResult<JsonArray>> resultHandler)

      Gets the distinct values of the specified field name. Return a JsonArray containing distinct values (eg: [ 1 , 89 ])
      Parameters:
        `collection` - the collection
        `fieldName` - the field name
        `resultClassname` -
        `resultHandler` - will be provided with array of values.
      Returns:

    - #### distinctObservable

          @Deprecated
          public rx.Observable<JsonArray> distinctObservable(String collection,
                                                                         String fieldName,
                                                                         String resultClassname)

      Deprecated. use `rxDistinct(java.lang.String, java.lang.String, java.lang.String)` instead
      Gets the distinct values of the specified field name. Return a JsonArray containing distinct values (eg: [ 1 , 89 ])
      Parameters:
        `collection` - the collection
        `fieldName` - the field name
        `resultClassname` -
      Returns:

    - #### rxDistinct

          public rx.Single<JsonArray> rxDistinct(String collection,
                                                 String fieldName,
                                                 String resultClassname)

      Gets the distinct values of the specified field name. Return a JsonArray containing distinct values (eg: [ 1 , 89 ])
      Parameters:
        `collection` - the collection
        `fieldName` - the field name
        `resultClassname` -
      Returns:

    - #### distinctBatch

          public MongoClient distinctBatch(String collection,
                                           String fieldName,
                                           String resultClassname,
                                           Handler<AsyncResult<JsonObject>> resultHandler)

      Gets the distinct values of the specified field name. This method use batchCursor for returning each found value. Each value is a json fragment with fieldName key (eg: {"num": 1}).
      Parameters:
        `collection` - the collection
        `fieldName` - the field name
        `resultClassname` -
        `resultHandler` - will be provided with each found value
      Returns:

    - #### distinctBatchObservable

          @Deprecated
          public rx.Observable<JsonObject> distinctBatchObservable(String collection,
                                                                               String fieldName,
                                                                               String resultClassname)

      Deprecated. use `rxDistinctBatch(java.lang.String, java.lang.String, java.lang.String)` instead
      Gets the distinct values of the specified field name. This method use batchCursor for returning each found value. Each value is a json fragment with fieldName key (eg: {"num": 1}).
      Parameters:
        `collection` - the collection
        `fieldName` - the field name
        `resultClassname` -
      Returns:

    - #### rxDistinctBatch

          public rx.Single<JsonObject> rxDistinctBatch(String collection,
                                                       String fieldName,
                                                       String resultClassname)

      Gets the distinct values of the specified field name. This method use batchCursor for returning each found value. Each value is a json fragment with fieldName key (eg: {"num": 1}).
      Parameters:
        `collection` - the collection
        `fieldName` - the field name
        `resultClassname` -
      Returns:

    - #### close

          public void close()

      Close the client and release its resources

    - #### newInstance

          public static MongoClient newInstance(MongoClient arg)

Copyright © 2017. All rights reserved.